//package database;

//import com.google.gson.Gson;
//import com.google.gson.GsonBuilder;
//import com.google.gson.reflect.TypeToken;
//
//import java.util.List;
//
//import static spark.Spark.*;

//public class Server {
//    public static void main(String[] args) {
//        port(8080);
//
//        MongoDBInteraction dbInteraction = new MongoDBInteraction();
//
//        // Customize Gson to handle the specifics of your data structure
//        Gson gson = new GsonBuilder().create();
//
//        // ObjectSet GET endpoint
//        get("/objectset/:index", (request, response) -> {
//            response.type("application/json");
//            try {
//                int index = Integer.parseInt(request.params(":index"));
//                ObjectSet objectSet = dbInteraction.retrieveObjectSet(index);
//
//                if (objectSet != null) {
//                    // Manually serialize the static list
//                    return gson.toJson(ObjectSet.objects);
//                } else {
//                    response.status(404);
//                    return "{}";
//                }
//            } catch (NumberFormatException e) {
//                response.status(400);
//                return "{\"error\":\"Invalid index format\"}";
//            } catch (Exception e) {
//                response.status(500);
//                return "{\"error\":\"Internal Server Error\"}";
//            }
//        });
//
//        // ObjectSet POST endpoint
//        post("/objectset/:index", (request, response) -> {
//            response.type("application/json");
//            try {
//                int index = Integer.parseInt(request.params(":index"));
//                // Assume JSON is being sent correctly formatted to match the static list structure
//                List<PointSet> receivedObjects = gson.fromJson(request.body(), new TypeToken<List<PointSet>>(){}.getType());
//                ObjectSet.objects = receivedObjects; // Directly set the static list
//                dbInteraction.updateObjectSet(index, new ObjectSet()); // Pass a new ObjectSet instance that will use the updated static list
//                return gson.toJson(ObjectSet.objects);
//            } catch (Exception e) {
//                e.printStackTrace();
//                response.status(500);
//                return "{\"error\":\"Internal Server Error: " + e.getMessage() + "\"}";
//            }
//        });
//
//        // ObjectSet DELETE endpoint
//        delete("/objectset/:index", (request, response) -> {
//            int index = Integer.parseInt(request.params(":index"));
//            dbInteraction.deleteObjectSet(index);
//            response.status(204);
//            return "";
//        });
//    }
//}

